## org.gjt.sp.jedit
Class Registers.StringRegister

    java.lang.Object
      org.gjt.sp.jedit.Registers.StringRegister

All Implemented Interfaces:
  Registers.Register

Enclosing class:
  Registers

    public static class Registers.StringRegister

extends java.lang.Object
implements Registers.Register

Register that stores a string.

Constructor Summary
`Registers.StringRegister(java.lang.String value)` Creates a new string register.

Method Summary
`void` `dispose()` Called when this register is no longer available.
`void` `setValue(java.lang.String value)` Sets the register contents.
`java.lang.String` `toString()` Converts to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Registers.StringRegister

    public Registers.StringRegister(java.lang.String value)

  Creates a new string register.

  Parameters:
    `value` - The contents

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Sets the register contents.

  Specified by:
    `setValue` in interface `Registers.Register`

### toString

    public java.lang.String toString()

  Converts to a string.

  Specified by:
    `toString` in interface `Registers.Register`
  Overrides:
    `toString` in class `java.lang.Object`

### dispose

    public void dispose()

  Called when this register is no longer available. This implementation does nothing.